Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 82678 - app-i18n/uim has privilege escalation vulnerability
Summary: app-i18n/uim has privilege escalation vulnerability
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Gentoo Security
URL: http://lists.freedesktop.org/archives...
Whiteboard: B2? [glsa]
Keywords:
: 83165 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-02-20 06:31 UTC by Mamoru KOMACHI (RETIRED)
Modified: 2005-06-26 05:58 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mamoru KOMACHI (RETIRED) gentoo-dev 2005-02-20 06:31:10 UTC
All ebuilds in app-i18n/uim have privilege escalation vulnerability
when you use it with immodule for Qt (if you build >=qt-3.3.2 with
USE="immqt" or USE="immqt-bc" you will get immodule for Qt). This is
fixed in uim-0.4.5.1 and uim-0.4.6_beta2.
Comment 1 Matthias Geerdsen (RETIRED) gentoo-dev 2005-02-20 07:52:14 UTC
usata, are there any setuid/setgid applications in the tree, which are linked against libuim? Otherwise we shouldn't be vulnerable... or am I overlooking something here?

Anyways... accepting bug.

arches, pls test and mark stable...
uim-0.4.5.1.ebuild:
current KEYWORDS="x86 ~alpha ~ppc ~amd64 ~ppc64 ~sparc"
target KEYWORDS="x86 alpha ppc amd64 ppc64 sparc"
Comment 2 Mamoru KOMACHI (RETIRED) gentoo-dev 2005-02-20 08:10:39 UTC
vorlon: I just checked my Gentoo desktop, and
found mlterm (USE="uim") is linked against libuim.
It is setgid to utmp.
Comment 3 Markus Rothe (RETIRED) gentoo-dev 2005-02-20 10:00:56 UTC
stable on ppc64
Comment 4 Mamoru KOMACHI (RETIRED) gentoo-dev 2005-02-21 05:18:41 UTC
hppa team: please add ~hppa keyword to uim-0.4.6_beta2.ebuild
as I removed uim-0.4.5-r1. (it was a snapshot from SVN repository)
Comment 5 Gustavo Zacarias (RETIRED) gentoo-dev 2005-02-21 07:12:49 UTC
sparc stable.
Comment 6 Thierry Carrez (RETIRED) gentoo-dev 2005-02-24 02:58:38 UTC
*** Bug 83165 has been marked as a duplicate of this bug. ***
Comment 7 Jochen Maes (RETIRED) gentoo-dev 2005-02-24 03:00:15 UTC
stable on ppc
Comment 8 Thierry Carrez (RETIRED) gentoo-dev 2005-02-24 04:09:00 UTC
This is CAN-2005-0503
Comment 9 Karol Wojtaszek (RETIRED) gentoo-dev 2005-02-24 10:26:36 UTC
amd64 done
Comment 10 Bryan Østergaard (RETIRED) gentoo-dev 2005-02-27 04:43:05 UTC
Stable on alpha.
Comment 11 Matthias Geerdsen (RETIRED) gentoo-dev 2005-02-27 07:05:17 UTC
seems ready for GLSA, security pls review

removing hppa, cause it has been marked stable without notice

no entry in Changelog! but cvs log gives:
revision 1.4
date: 2005/02/24 05:48:29;  author: vapier;  state: Exp;  lines: +9 -10
hppa KEYWORDS for mr bones and misc cleanup
Comment 12 Sune Kloppenborg Jeppesen gentoo-dev 2005-02-28 08:33:12 UTC
Thx everyone.

GLSA 200502-31
Comment 13 René Nussbaumer (RETIRED) gentoo-dev 2005-06-26 05:58:21 UTC
Already stable on hppa